mscorlib 2.0.0.0 4.0.0.0 Microsoft.Win32.SafeHandles.SafeHandleZeroOrMinusOneIsInvalid .NET 2.0

This class is derived from . A value of 0 or -1 is an invalid file handle.

Represents a wrapper class for a file handle.

- Constructor
  2.0.0.0
  4.0.0.0
  Use the parameter to control whether the SafeFileHandle will close the descriptor or not.

  Initializes a new instance of the class.

  An object that represents the pre-existing handle to use.
  true to reliably release the handle during the finalization phase; false to prevent reliable release (not recommended).
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.